Index: testsuites/validation/tc-barrier-create.c
===================================================================
--- testsuites/validation/tc-barrier-create.c	(revision a26a326e55922f3d52639d361e49c3ed0c3834c0)
+++ testsuites/validation/tc-barrier-create.c	(revision 586e06ec6222f1cd1f005aa8f4a34a8b33f5d862)
@@ -378,5 +378,5 @@
     case RtemsBarrierReqCreate_Pre_Free_No: {
       /*
-       * The system shall have no inactive partition object available.
+       * The system shall not have an inactive barrier object available.
        */
       ctx->seized_objects = T_seize_objects( Create, NULL );
Index: testsuites/validation/tc-barrier-delete.c
===================================================================
--- testsuites/validation/tc-barrier-delete.c	(revision a26a326e55922f3d52639d361e49c3ed0c3834c0)
+++ testsuites/validation/tc-barrier-delete.c	(revision 586e06ec6222f1cd1f005aa8f4a34a8b33f5d862)
@@ -243,5 +243,5 @@
     case RtemsBarrierReqDelete_Post_Name_Valid: {
       /*
-       * The unique object name shall identify the barrier.
+       * The unique object name shall identify a barrier.
        */
       id = 0;
@@ -254,5 +254,5 @@
     case RtemsBarrierReqDelete_Post_Name_Invalid: {
       /*
-       * The unique object name shall not identify the barrier.
+       * The unique object name shall not identify a barrier.
        */
       sc = rtems_barrier_ident( NAME, &id );
Index: testsuites/validation/tc-message-construct-errors.c
===================================================================
--- testsuites/validation/tc-message-construct-errors.c	(revision a26a326e55922f3d52639d361e49c3ed0c3834c0)
+++ testsuites/validation/tc-message-construct-errors.c	(revision 586e06ec6222f1cd1f005aa8f4a34a8b33f5d862)
@@ -417,5 +417,5 @@
     case RtemsMessageReqConstructErrors_Pre_Free_No: {
       /*
-       * The system shall have no inactive message queue object available.
+       * The system shall not have an inactive message queue object available.
        */
       i = 0;
Index: testsuites/validation/tc-signal-catch.c
===================================================================
--- testsuites/validation/tc-signal-catch.c	(revision a26a326e55922f3d52639d361e49c3ed0c3834c0)
+++ testsuites/validation/tc-signal-catch.c	(revision 586e06ec6222f1cd1f005aa8f4a34a8b33f5d862)
@@ -306,7 +306,9 @@
     case RtemsSignalReqCatch_Pre_Pending_Yes: {
       /*
-       * Where the system has more than one processor, when
-       * rtems_signal_catch() is called, the calling task shall have pending
-       * signals.
+       * Where the system has more than one processor, while the calling task
+       * has pending signals, the rtems_signal_catch() directive shall be
+       * called. Where the system has exactly one processor, while the calling
+       * task has no pending signals, the rtems_signal_catch() directive shall
+       * be called.
        */
       ctx->pending_signals = ( rtems_scheduler_get_processor_maximum() > 1 ) ? 1 : 0;
@@ -316,6 +318,6 @@
     case RtemsSignalReqCatch_Pre_Pending_No: {
       /*
-       * When rtems_signal_catch() is called, the calling task shall have no
-       * pending signals.
+       * While the calling task has no pending signals, the
+       * rtems_signal_catch() directive shall be called.
        */
       ctx->pending_signals = 0;
Index: testsuites/validation/tc-task-construct-errors.c
===================================================================
--- testsuites/validation/tc-task-construct-errors.c	(revision a26a326e55922f3d52639d361e49c3ed0c3834c0)
+++ testsuites/validation/tc-task-construct-errors.c	(revision 586e06ec6222f1cd1f005aa8f4a34a8b33f5d862)
@@ -465,5 +465,5 @@
     case RtemsTaskReqConstructErrors_Pre_Free_No: {
       /*
-       * The system shall have no inactive task object available.
+       * The system shall not have an inactive task object available.
        */
       ctx->seized_objects = T_seize_objects( Create, ctx );
Index: testsuites/validation/tc-task-create-errors.c
===================================================================
--- testsuites/validation/tc-task-create-errors.c	(revision a26a326e55922f3d52639d361e49c3ed0c3834c0)
+++ testsuites/validation/tc-task-create-errors.c	(revision 586e06ec6222f1cd1f005aa8f4a34a8b33f5d862)
@@ -427,5 +427,5 @@
     case RtemsTaskReqCreateErrors_Pre_Free_No: {
       /*
-       * The system shall have no inactive task object available.
+       * The system shall not have an inactive task object available.
        */
       ctx->seized_objects = T_seize_objects( Create, ctx );
